> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggestions

> This API endpoint provides address suggestions based on
    partial input data. It helps users auto-complete and validate addresses efficiently
    by returning a list of suggested addresses that match the input criteria.
    This improves accuracy, increases speed, reduces errors,
    and streamlines the data entry process.



## OpenAPI

````yaml post /v1/address_validation/suggestions
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/address_validation/suggestions:
    post:
      tags:
        - Address Validation
      summary: Suggestions
      description: |-
        This API endpoint provides address suggestions based on
            partial input data. It helps users auto-complete and validate addresses efficiently
            by returning a list of suggested addresses that match the input criteria.
            This improves accuracy, increases speed, reduces errors,
            and streamlines the data entry process.
      operationId: suggestions_v1_address_validation_suggestions_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidationAddress'
            example:
              line1: 1600 Amphitheatre Parkway
              line2: ''
              line3: ''
              city: Mountain View
              state: CA
              postalCode: '94043'
              id: 215
              county: ''
              full_address: 1600 Amphitheatre Parkway, Mountain View, CA 94043
              country: US
      responses:
        '200':
          description: Successfully retrieved address suggestions
          content:
            application/json:
              schema: {}
              example:
                - city: MOUNTAIN VIEW
                  county: Santa Clara County
                  state: CA
                  postal_code: '94043'
                  country: US
                - city: MOUNTAIN VIEW
                  county: Santa Clara County
                  state: CA
                  postal_code: '94040'
                  country: US
        '401':
          description: The request is missing a valid x-api-key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Authorization header is missing or token is invalid.
        '422':
          description: >-
            Validation error - Address fields failed validation or are
            incomplete
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/backend__src__address_validation__responses__ValidationErrorResponse
              example:
                detail:
                  - type: missing
                    loc:
                      - body
                    msg: Field required
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: An unexpected error occurred.
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    ValidationAddress:
      properties:
        line1:
          description: Primary address line, such as street name and number
          type: string
        line2:
          description: Additional address details, such as an apartment or suite number
          type: string
        line3:
          description: Additional address details for complex addresses
          type: string
        city:
          description: The city or town name for the address
          type: string
        state:
          description: State, province, or region of the address
          type: string
        country:
          description: >-
            Country code in ISO 3166-1 alpha-2 format (e.g., 'US' for the United
            States).
                    Defaults to 'US'.
                    should not be empty. Not validating here as the validation
                    structure can be different for different providers
          default: US
          type: string
        postalCode:
          description: |-
            ZIP or postal code for the address. Can be empty for some locales.
                    Not validating here as the validation structure can be different for different providers
          default: ''
          type: string
        id:
          description: Unique identifier for the request, if applicable
          type: integer
        county:
          description: County or district name for the address
          type: string
        full_address:
          description: >-
            A complete address string that can be used as an alternative to
            providing individual fields.
          type: string
      type: object
      title: ValidationAddress
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__address_validation__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__address_validation__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    backend__src__address_validation__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: Type of validation error
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````